Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.CurveProxy

    java.lang.Object
      igeo.io.IRhino3dm.RhinoObject
          igeo.io.IRhino3dm.Geometry
              igeo.io.IRhino3dm.Curve
                  igeo.io.IRhino3dm.CurveProxy

Direct Known Subclasses:
  IRhino3dm.BrepEdge, IRhino3dm.BrepTrim, IRhino3dm.PolyEdgeSegment

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.CurveProxy

extends IRhino3dm.Curve

Field Summary
`IRhino3dm.Curve` | `realCurve`
`IRhino3dm.Interval` | `realCurveDomain`
`boolean` | `reversed`
`IRhino3dm.Interval` | `thisDomain`
`static java.lang.String` | `uuid`

Fields inherited from class igeo.io.IRhino3dm.Curve
`icurve`

Fields inherited from class igeo.io.IRhino3dm.RhinoObject
`attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData`

Constructor Summary
`IRhino3dm.CurveProxy()`

Method Summary
`IRhino3dm.Interval` | `domain()`
`IRhino3dm.UUID` | `getClassUUID()`
`boolean` | `isValid()`
`IRhino3dm.Interval` | `proxyCurveDomain()`
`boolean` | `proxyCurveIsReversed()`
`double` | `realCurveParameter(double t)`
`boolean` | `reverse()`
`void` | `setDomain(IRhino3dm.Interval domain)`
`void` | `setProxyCurve(IRhino3dm.Curve realCurve, IRhino3dm.Interval realCurveSubdomain)`
`boolean` | `setProxyCurveDomain(IRhino3dm.Interval proxyCurveSubdomain)`

Methods inherited from class igeo.io.IRhino3dm.Curve
`createIGGeometry, createIObject, createTrimCurve, getType`

Methods inherited from class igeo.io.IRhino3dm.RhinoObject
`read, read, setAttributes, setAttributesToIObject, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uuid

    public static final java.lang.String uuid

See Also:
  Constant Field Values

### realCurve

    public IRhino3dm.Curve realCurve

### reversed

    public boolean reversed

### realCurveDomain

    public IRhino3dm.Interval realCurveDomain

### thisDomain

    public IRhino3dm.Interval thisDomain

Constructor Detail

### IRhino3dm.CurveProxy

    public IRhino3dm.CurveProxy()

Method Detail

### getClassUUID

    public IRhino3dm.UUID getClassUUID()

  Overrides:
    `getClassUUID` in class `IRhino3dm.Curve`

### setProxyCurve

    public void setProxyCurve(IRhino3dm.Curve realCurve,
                              IRhino3dm.Interval realCurveSubdomain)

### setProxyCurveDomain

    public boolean setProxyCurveDomain(IRhino3dm.Interval proxyCurveSubdomain)

### proxyCurveDomain

    public IRhino3dm.Interval proxyCurveDomain()

### realCurveParameter

    public double realCurveParameter(double t)

### setDomain

    public void setDomain(IRhino3dm.Interval domain)

### domain

    public IRhino3dm.Interval domain()

  Specified by:
    `domain` in class `IRhino3dm.Curve`

### reverse

    public boolean reverse()

### proxyCurveIsReversed

    public boolean proxyCurveIsReversed()

### isValid

    public boolean isValid()

  Specified by:
    `isValid` in class `IRhino3dm.Curve`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD